<ion-content class="ion-padding">
  <ion-list>
    {#each users as user}
    <ion-item>
      <ion-label>
            <h2>{user.firstName} {user.lastName}</h2>
            <h3>{user.emails[0].address}</h3>
      </ion-label>
      
    </ion-item>
    {/each}
  </ion-list>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button on:click={() => navigateTo('createUser') }>
      <ion-icon name="person-add-outline"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>


<script>
import {usersStore} from '/client/UsersStore'
import {navigateTo} from 'svelte-grouter'
import {layoutStore} from '/client/LayoutStore'

$layoutStore.title = 'Manage Users'

$: users = $usersStore

</script>